.root {
  margin: 0;
  padding: 5px 8px;
  display: inline-block;
}

.dropdown {
  margin: 0;
  padding: 16px 10px 9px 0;
  display: block;
  position: relative;
  line-height: 20px;
}

.dropdown > i {
  font-size: 24px;
  vertical-align: middle;
}

.dropdown > .badge {
  font-family: "Roboto", Helvetica, Arial, sans-serif;
  position: absolute;
  top: 10px;
  right: 0px;
  font-weight: 300;
  padding: 3px 6px;
  -webkit-animation: wobble 1s ease 0s normal none infinite running;
  -ms-animation: wobble 1s ease 0s normal none infinite running;
  -o-animation: wobble 1s ease 0s normal none infinite running;
  animation: wobble 1s ease 0s normal none infinite running;
}

.dropdown::after {
  display: unset;
  margin-left: unset;
  vertical-align: unset;
  content: unset;
  border-top: unset;
  border-right: unset;
  border-bottom: unset;
  border-left: unset;
}

.headerBadgeColor1 {
  background-color: #ff4081;
}

.headerBadgeColor2 {
  background-color: var(--green-color);
}

@keyframes wobble {
  from {
    -webkit-transform: none;
    transform: none;
  }

  15% {
    -webkit-transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
    transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
  }

  30% {
    -webkit-transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
    transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
  }

  45% {
    -webkit-transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
    transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
  }

  60% {
    -webkit-transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
    transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
  }

  75% {
    -webkit-transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
    transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
  }

  to {
    -webkit-transform: none;
    transform: none;
  }
}
